/**
 * Copyright 2014-2015 Kakao Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kakao.util.helper;

/**
 * @author MJ
 */
public final class CommonProtocol {
    public static final String APP_KEY_PROPERTY = "com.kakao.sdk.AppKey";
    public static final String CLIENT_SECRET_PROPERTY = "com.kakao.sdk.ClientSecret";

    public static final String OS_ANDROID = "android";
    public static final String URL_SCHEME = "https";

    //KAHeader
    public static final String KA_HEADER_KEY ="KA";
    public static final String KA_SDK_KEY ="sdk/";
    public static final String KA_OS_KEY ="os/";
    public static final String KA_LANG_KEY ="lang/";
    public static final String KA_RES_KEY ="res/";
    public static final String KA_DEVICE_KEY ="device/";
    public static final String KA_KEY_HASH ="origin/";
    public static final String KA_PACKAGE_NAME = "android_pkg/";

    // extras
    public static final String APP_PACKAGE = "appPkg";
    public static final String APP_KEY_HASH = "keyHash";
}
